List users
curl --request GET \
--url https://int-api.mx.com/users \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"email": "email@provider.com",
"guid": "USR-d74cb14f-fd0a-449f-991b-e0362a63d9c6",
"id": "My-Unique-ID",
"is_disabled": false,
"metadata": "{\\\"first_name\\\": \\\"Steven\\\", \\\"last_name\\\": \\\"Universe\\\"}"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Users
List users
GET
/
users
List users
Use this endpoint to list every user you’ve created in the MX Platform API.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
The user id to search for.
The user email to search for.
Search for users that are disabled.
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Example:
"email@provider.com"
Example:
"USR-d74cb14f-fd0a-449f-991b-e0362a63d9c6"
Example:
"My-Unique-ID"
Example:
false
Example:
"{\\\"first_name\\\": \\\"Steven\\\", \\\"last_name\\\": \\\"Universe\\\"}"

